package inventory

import "gitea.hostxtra.co.uk/mrhid6/vantage/agent/internal/grpc/pb"

func Collect(includeStatic bool) *pb.InventoryReport {
	r := &pb.InventoryReport{IncludeStatic: includeStatic, CPU: &pb.CPUReport{}, Memory: &pb.MemReport{}}
	collect(r, includeStatic)
	return r
}
